/**
 * @file OnePIC_16bit_isr.c
 * @brief interrupt routine for the 16bit base code demonstartion
 * @defgroup sixteen_bit_isr ISR
 * @ingroup sixteen_bit
 * @{
 */

#include "OnePIC_isr.h"
#include "OnePIC_lcd.h"
#include "OnePIC_int.h"
#include "mTouch.h"

/**
 * @brief interrupt service routine for 16bit base code demo
 */
void __attribute__((interrupt, shadow, auto_psv)) _T1Interrupt(void)
{
    MTouchDecode();
    MTouchAcquisition(); 
    EDF_mTouchPoll();
#ifdef MTOUCH_JITTER_ENABLE
    TMR1 = MTouchJitter(); // random number 0-31
#endif
    EDF_TMR_Counter16BitSet(INT_TMR_1, 0xFF00);
    EDF_INT_SourceFlagClear(INT_TMR_1);
    
}
/** @}*/
