/**
 * @file OnePIC_16bit_mtouch.c
 * @brief Initilizes the 5 touch buttons as well as board init
 * @defgroup sixteen_bit_mtouch mTouch
 * @ingroup sixteen_bit
 * @{
 */

#include "OnePIC_mtouch.h"
#include "p24Fxxxx.h"
#include "mTouch.h"
#include "timer.h"
#include "OnePIC_int.h"

#define SENSOR_PRESS_CTMU_THRESHOLD        100
#define SENSOR_RELEASE_CTMU_THRESHOLD      50

/**
 * @brief init the board and touch buttons
 */
void EDF_mTouchInit(void)
{

    
    MTouchAddSensor(CAP_UP,     (UINT16*)&TRISB, (UINT16*)&LATB, 3, 3, SENSOR_PRESS_CTMU_THRESHOLD, SENSOR_RELEASE_CTMU_THRESHOLD);  
    // sensor DOWN is connected to RB0/AN0 pin
    MTouchAddSensor(CAP_DOWN,   (UINT16*)&TRISB, (UINT16*)&LATB, 0, 0, SENSOR_PRESS_CTMU_THRESHOLD, SENSOR_RELEASE_CTMU_THRESHOLD);
    // sensor LEFT is connected to RB4/AN4 pin
    MTouchAddSensor(CAP_LEFT,   (UINT16*)&TRISB, (UINT16*)&LATB, 4, 4, SENSOR_PRESS_CTMU_THRESHOLD, SENSOR_RELEASE_CTMU_THRESHOLD);  
    // sensor RIGHT is connected to RB1/AN1 pin
    MTouchAddSensor(CAP_RIGHT,  (UINT16*)&TRISB, (UINT16*)&LATB, 1, 1, SENSOR_PRESS_CTMU_THRESHOLD, SENSOR_RELEASE_CTMU_THRESHOLD);  
    // sensor ENTER is connected to RB2/AN2 pin
    MTouchAddSensor(CAP_ENTER,  (UINT16*)&TRISB, (UINT16*)&LATB, 2, 2, SENSOR_PRESS_CTMU_THRESHOLD, SENSOR_RELEASE_CTMU_THRESHOLD);


    MTouchInit();
}
/** @}*/

