/**
 * @file OnePIC_8bit_isr.c
 * @brief interrupt routine for the 8bit base code demonstartion
 * @defgroup eight_bit_isr ISR
 * @ingroup eight_bit
 * @{
 */
#include "OnePIC_isr.h"
#include "OnePIC_int.h"
#include "OnePIC_timer.h"
#include "OnePIC_i2c.h"
#include "mTouchCVD.h"
#include <htc.h>

#ifndef WIRELESS_DEMO

/**
 * @brief interrupt service routine for 8bit base code demo
 */
#include "OnePIC_led.h"
#include "OnePIC_mtouch.h"
extern uint8_t _pbState;
void interrupt ISR(void) {

    //mTouch Interrupt
    if (EDF_INT_SourceFlagGet(INT_TMR_2) && EDF_INT_SourceEnableGet(INT_TMR_2)) {
        mTouch_Scan();
        EDF_mTouchPoll();
        EDF_TMR_CounterSet(TMR_2, 50);
        EDF_INT_SourceFlagClear(INT_TMR_2);
    }

    //I2C interrupt
    if (EDF_INT_SourceFlagGet(INT_SSP)) {
        ISR_i2c();
        EDF_INT_SourceFlagClear(INT_SSP);
    }
}
#endif
/** @}*/