/**
 * @file OnePIC_8bit_mtouch.c
 * @brief Initilizes the 5 touch buttons as well as board init
 * @defgroup eight_bit_mtouch mTouch
 * @ingroup eight_bit
 * @{
 */
#include "OnePIC_mtouch.h"
#include "mTouchCVD.h"
#include "bsp.h"
#include "OnePIC_int.h"

/**
 * @brief init the board and touch buttons
 */
void EDF_mTouchInit(void)
{
    OSCCON = 0b11110000; // 32 MHz Fosc w/ PLLEN_ON (config)  (UPDATE CONFIG FILE IF CHANGED)
    OSCCONbits.SPLLEN = 0x01;
    OSCCONbits.IRCF = 0x0E;
    OSCCONbits.SCS = 0x00;

    PORTA = 0b00000000;
    PORTB = 0b00000000;
    PORTC = 0b00110000;
    PORTD = 0b00000000;
    PORTE = 0b00000000;

    ANSELA = 0b00000000;
    ANSELB = 0b00100000; //POT as analog
    ANSELD = 0b00000000;
    ANSELE = 0b00000000;

    TRISA = 0b00000000;
    TRISB = 0b00100000; //POT as input
    TRISC = 0b00000000;
    TRISD = 0b00000000;
    TRISE = 0b00000000;

    I2C_SCL_TRIS = 1; //Must set I2C lines as input to work properly (can't pull down SCL/SDA)
    I2C_SDA_TRIS = 1;
    mTouch_Init();

}
/** @}*/
