/*************************************************************************
 *   2011 Microchip Technology Inc.                                       
 *  
 *  Project Name:    mTouch Framework v2.0
 *  FileName:        mTouch_HardwareProfile_18FxxJ50.h
 *  Dependencies:    mTouch.h
 *  Processor:       See documentation for supported PIC microcontrollers 
 *  Compiler:        HI-TECH Ver. 9.81 or later
 *  IDE:             MPLAB IDE v8.50 (or later) or MPLAB X                        
 *  Hardware:         
 *  Company:         
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *  Description:     mTouch CVD Framework Hardware Profile Header File
 *                   - Provides information about correct SFR addresses,
 *                     pin assignments, module availability, and any other
 *                     part-specific data.
 *                   - See the documentation for more information.
 *************************************************************************/
 /**************************************************************************
 * MICROCHIP SOFTWARE NOTICE AND DISCLAIMER: You may use this software, and 
 * any derivatives created by any person or entity by or on your behalf, 
 * exclusively with Microchip's products in accordance with applicable
 * software license terms and conditions, a copy of which is provided for
 * your referencein accompanying documentation. Microchip and its licensors 
 * retain all ownership and intellectual property rights in the 
 * accompanying software and in all derivatives hereto. 
 * 
 * This software and any accompanying information is for suggestion only. 
 * It does not modify Microchip's standard warranty for its products. You 
 * agree that you are solely responsible for testing the software and 
 * determining its suitability. Microchip has no obligation to modify, 
 * test, certify, or support the software. 
 * 
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
 * EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED 
 * WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A 
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE, ITS INTERACTION WITH 
 * MICROCHIP'S PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY 
 * APPLICATION. 
 * 
 * IN NO EVENT, WILL MICROCHIP BE LIABLE, WHETHER IN CONTRACT, WARRANTY, 
 * TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), STRICT 
 * LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT, 
 * SPECIAL, PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, 
 * FOR COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, 
 * HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY 
 * OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT ALLOWABLE BY LAW, 
 * MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS 
 * SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID 
 * DIRECTLY TO MICROCHIP FOR THIS SOFTWARE. 
 * 
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF 
 * THESE TERMS. 
 *************************************************************************/
/** @file mTouch_HardwareProfile_18FxxJ50.h
* @brief Support for: PIC18F24J50, PIC18LF24J50, PIC18F25J50, PIC18LF25J50, PIC18F26J50, PIC18LF26J50, PIC18F44J50, PIC18LF44J50, PIC18F45J50, PIC18LF45J50, PIC18F46J50, PIC18LF46J50, PIC18F65J50, PIC18F66J50, PIC18F67J50, PIC18F85J50, PIC18F86J50, PIC18F87J50
*/
/// @cond
#if !defined(__MTOUCH_HARDWARE_18FxxJ50_H)
#define __MTOUCH_HARDWARE_18FxxJ50_H

#if !defined(_18F24J50) && !defined(_18LF24J50)     &&      !defined(__18F24J50) && !defined(__18LF24J50)
#if !defined(_18F25J50) && !defined(_18LF25J50)     &&      !defined(__18F25J50) && !defined(__18LF25J50)
#if !defined(_18F26J50) && !defined(_18LF26J50)     &&      !defined(__18F26J50) && !defined(__18LF26J50)
#if !defined(_18F44J50) && !defined(_18LF44J50)     &&      !defined(__18F44J50) && !defined(__18LF44J50)
#if !defined(_18F45J50) && !defined(_18LF45J50)     &&      !defined(__18F45J50) && !defined(__18LF45J50)
#if !defined(_18F46J50) && !defined(_18LF46J50)     &&      !defined(__18F46J50) && !defined(__18LF46J50)
#if !defined(_18F65J50)                             &&      !defined(__18F65J50)  
#if !defined(_18F66J50)                             &&      !defined(__18F66J50) 
#if !defined(_18F67J50)                             &&      !defined(__18F67J50)
#if !defined(_18F85J50)                             &&      !defined(__18F85J50)
#if !defined(_18F86J50)                             &&      !defined(__18F86J50)
#if !defined(_18F87J50)                             &&      !defined(__18F87J50)
    #error The current mTouch hardware include file does not support this PIC microcontroller.
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif
#endif

#if     defined(_18F24J50)  || defined(_18LF24J50)  || defined(_18F25J50)  || defined(_18LF25J50)  || defined(_18F26J50)  || defined(_18LF26J50)    \
    ||  defined(__18F24J50) || defined(__18LF24J50) || defined(__18F25J50) || defined(__18LF25J50) || defined(__18F26J50) || defined(__18LF26J50)
    #if MTOUCH_NUMBER_SENSORS > 10
        #error The PIC18F2xJ50 is not able to support more than 10 sensors due to pinout limitations.
    #endif
#endif
#if     defined(_18F44J50)  || defined(_18LF44J50)  || defined(_18F45J50)  || defined(_18LF45J50)  || defined(_18F46J50)  || defined(_18LF46J50)    \
    ||  defined(__18F44J50) || defined(__18LF44J50) || defined(__18F45J50) || defined(__18LF45J50) || defined(__18F46J50) || defined(__18LF46J50)
    #if MTOUCH_NUMBER_SENSORS > 13
        #error The PIC18F4xJ50 is not able to support more than 13 sensors due to pinout limitations.
    #endif
#endif
#if     defined(_18F65J50)  || defined(_18F66J50)  || defined(_18F67J50)  \
    ||  defined(__18F65J50) || defined(__18F66J50) || defined(__18F67J50)
    #if MTOUCH_NUMBER_SENSORS > 8
        #error The PIC18F6xJ50 is not able to support more than 8 sensors due to pinout limitations.
    #endif
#endif
#if     defined(_18F85J50)  || defined(_18F86J50)  || defined(_18F87J50)  \
    ||  defined(__18F85J50) || defined(__18F86J50) || defined(__18F87J50)
    #if MTOUCH_NUMBER_SENSORS > 12
        #error The PIC18F4xJ50 is not able to support more than 12 sensors due to pinout limitations.
    #endif
#endif

//===========================================================
//  Communications Configuration
//===========================================================
#define MTOUCH_DEBUG_UART_AVAILABLE
#define MTOUCH_DEBUG_COMM_TXIF             TX2IF
#define MTOUCH_DEBUG_COMM_TXREG            TXREG2

#if defined(MTOUCH_V1_COMMS) & !defined(MTOUCH_PIC18_TX2_PIN)
    #error The PIC18FxxJ50 must be told which pin to use as the TX2 output. In the mTouch configuration file, please define a new value "MTOUCH_PIC18_TX2_PIN" with the Peripheral Pin Select Output Register SFR name in which to load the 'TX2' value. Ex:  #define MTOUCH_PIC18_TX2_PIN  RPOR2
#endif

#define MTOUCH_PIC18_UNLOCK_PPS()   EECON2      = 0x55; \
                                    EECON2      = 0xAA; \
                                    PPSCONbits.IOLOCK = 0;

#define MTOUCH_PIC18_LOCK_PPS()     EECON2      = 0x55; \
                                    EECON2      = 0xAA; \
                                    PPSCONbits.IOLOCK = 1;

#define MTOUCH_PIC18_PPS_TX2        5

#if defined(MTOUCH_V1_COMMS)
    #if (_XTAL_FREQ == 8000000)
        #define MTOUCH_DEBUG_COMM_INIT()                        \
            do {                                                \
                MTOUCH_PIC18_UNLOCK_PPS();                      \
                MTOUCH_PIC18_TX2_PIN = MTOUCH_PIC18_PPS_TX2;    \
                MTOUCH_PIC18_LOCK_PPS();                        \
                TXSTA2bits.BRGH = 1;                            \
                SPBRG2          = 51;                           \
                TXSTA2bits.TXEN = 1;                            \
                RCSTA2bits.SPEN = 1;                            \
            } while (0)
    #elif (_XTAL_FREQ == 4000000)
        #define MTOUCH_DEBUG_COMM_INIT()                        \
            do {                                                \
                MTOUCH_PIC18_UNLOCK_PPS();                      \
                MTOUCH_PIC18_TX2_PIN = MTOUCH_PIC18_PPS_TX2;    \
                MTOUCH_PIC18_LOCK_PPS();                        \
                TXSTA2bits.BRGH = 1;                            \
                SPBRG2          = 25;                           \
                TXSTA2bits.TXEN = 1;                            \
                RCSTA2bits.SPEN = 1;                            \
            } while (0)
    #else
        #error The mTouch Framework is only designed to run communications at 8 or 4 MHz. Please either initialize the UART manually or choose one of these Fosc values.
    #endif
#endif
    
//===========================================================
//  Interrupt Control Macros
//===========================================================
#define MTOUCH_TIMER0_AVAILABLE         
#define MTOUCH_TIMER2_AVAILABLE         
#define MTOUCH_TIMER4_AVAILABLE     

#define MTOUCH_SET_GIE()                   GIE    = 1  
    
//===========================================================
//  Oscillator-dependant Configuration
//===========================================================
#define MTOUCH_SET_ADC_CLK_2TOSC()      ADCON1 = 0b10100000 // 32
#define MTOUCH_SET_ADC_CLK_4TOSC()      ADCON1 = 0b11010000 // 16
#define MTOUCH_SET_ADC_CLK_8TOSC()      ADCON1 = 0b10010000 // 8
#define MTOUCH_SET_ADC_CLK_16TOSC()     ADCON1 = 0b11000000 // 4
#define MTOUCH_SET_ADC_CLK_32TOSC()     ADCON1 = 0b10000000 // 2
#define MTOUCH_SET_ADC_CLK_64TOSC()     ADCON1 = 0b10000000 // 2

#if _XTAL_FREQ < 2860000
    #define MTOUCH_ADC_INIT()   MTOUCH_SET_ADC_CLK_2TOSC() 
    #define CVD_TAD             2
#elif _XTAL_FREQ < 5710000
    #define MTOUCH_ADC_INIT()   MTOUCH_SET_ADC_CLK_4TOSC()
    #define CVD_TAD             2
#elif _XTAL_FREQ < 11430000
    #define MTOUCH_ADC_INIT()   MTOUCH_SET_ADC_CLK_8TOSC()
    #define CVD_TAD             2
#elif _XTAL_FREQ < 22860000
    #define MTOUCH_ADC_INIT()   MTOUCH_SET_ADC_CLK_16TOSC()
    #define CVD_TAD             2
#elif _XTAL_FREQ < 45710000
    #define MTOUCH_ADC_INIT()   MTOUCH_SET_ADC_CLK_32TOSC()
    #define CVD_TAD             2
#elif _XTAL_FREQ < 48000000
    #define MTOUCH_ADC_INIT()   MTOUCH_SET_ADC_CLK_64TOSC()
    #define CVD_TAD             2
#else
    #error Unable to assign a valid ADC clock source with the given _XTAL_FREQ definition.
#endif

#if defined(MTOUCH_V1_COMMS)
#if !(MTOUCH_V1_COMM_SPEED == 9600 || MTOUCH_V1_COMM_SPEED == 115200)
    #error MTOUCH_V1_COMM_SPEED must be set to either 9600 or 115200 in the configuration file.
#endif
#endif

#if     _XTAL_FREQ == 32000000 
    #if     defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 115200)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00001000
        #define MTOUCH_DEBUG_SPBRGL    68
        #define MTOUCH_DEBUG_SPBRGH    0
    #elif   defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 9600)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00000000
        #define MTOUCH_DEBUG_SPBRGL    207
        #define MTOUCH_DEBUG_SPBRGH    0
    #endif
#elif   _XTAL_FREQ == 16000000 
    #if     defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 115200)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00001000
        #define MTOUCH_DEBUG_SPBRGL    33
        #define MTOUCH_DEBUG_SPBRGH    0
    #elif   defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 9600)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00000000
        #define MTOUCH_DEBUG_SPBRGL    103
        #define MTOUCH_DEBUG_SPBRGH    0
    #endif
#elif   _XTAL_FREQ ==  8000000 
    #if     defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 115200)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00001000
        #define MTOUCH_DEBUG_SPBRGL    16
        #define MTOUCH_DEBUG_SPBRGH    0
    #elif   defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 9600)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00001000
        #define MTOUCH_DEBUG_SPBRGL    207
        #define MTOUCH_DEBUG_SPBRGH    0
    #endif
#elif   _XTAL_FREQ ==  4000000 
    #if     defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 115200)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00001000
        #define MTOUCH_DEBUG_SPBRGL    8
        #define MTOUCH_DEBUG_SPBRGH    0
    #elif   defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 9600)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00001000
        #define MTOUCH_DEBUG_SPBRGL    103
        #define MTOUCH_DEBUG_SPBRGH    0
    #endif
#elif   _XTAL_FREQ ==  2000000 
    #if     defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 115200)
        #error The 115.2kbps UART baudrate option cannot be used with a 2MHz Fosc. Please select '9600'.
    #elif   defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 9600)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00001000
        #define MTOUCH_DEBUG_SPBRGL    51
        #define MTOUCH_DEBUG_SPBRGH    0
    #endif
#elif   _XTAL_FREQ ==  1000000 
    #if     defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 115200)
        #error The 115.2kbps UART baudrate option cannot be used with a 1MHz Fosc. Please select '9600'.
    #elif   defined(MTOUCH_V1_COMMS) && (MTOUCH_V1_COMM_SPEED == 9600)
        #define MTOUCH_DEBUG_TXSTA     0b00100100
        #define MTOUCH_DEBUG_RCSTA     0b10010000
        #define MTOUCH_DEBUG_BAUDCON   0b00001000
        #define MTOUCH_DEBUG_SPBRGL    25
        #define MTOUCH_DEBUG_SPBRGH    0
    #endif
#else
    #error _XTAL_FREQ is not set to a valid value for this processor.
#endif

//===========================================================
//  ADC Configuration
//===========================================================
#define CVD_UNIMPLEMENTED_AVAILABLE     1
#define MTOUCH_ADC_BITS                 10

//===========================================================
//  DAC Configuration
//===========================================================
// NOT AVAILABLE

#define MTOUCH_WDT_OFF()           SWDTEN = 0
#define MTOUCH_WDT_ON()            SWDTEN = 1

//===========================================================
//  Analog Pin Configuration
//===========================================================
// A/D MUX selection for each A/D button, do not change this, refer to datasheet if curious how these are derived
// Right Justified, Vdd as reference, A/D on, Go/Done  asserted, do not change this, refer to datasheet if curious how these are derived 
#if defined(_18F24J50)  || defined(_18LF24J50)  || defined(_18F25J50)  || defined(_18LF25J50)  || defined(_18F26J50)  || defined(_18LF26J50)    \
 || defined(_18F44J50)  || defined(_18LF44J50)  || defined(_18F45J50)  || defined(_18LF45J50)  || defined(_18F46J50)  || defined(_18LF46J50)    \
 || defined(__18F24J50) || defined(__18LF24J50) || defined(__18F25J50) || defined(__18LF25J50) || defined(__18F26J50) || defined(__18LF26J50)   \
 || defined(__18F44J50) || defined(__18LF44J50) || defined(__18F45J50) || defined(__18LF45J50) || defined(__18F46J50) || defined(__18LF46J50)
    #define MTOUCH_AD_AN0           0x01
    #define MTOUCH_AD_AN1           0x05
    #define MTOUCH_AD_AN2           0x09
    #define MTOUCH_AD_AN3           0x0D
    #define MTOUCH_AD_AN4           0x11

    #if defined(_18F44J50)  || defined(_18LF44J50)  || defined(_18F45J50)  || defined(_18LF45J50)  || defined(_18F46J50)  || defined(_18LF46J50)    \
     || defined(__18F44J50) || defined(__18LF44J50) || defined(__18F45J50) || defined(__18LF45J50) || defined(__18F46J50) || defined(__18LF46J50) 
        #define MTOUCH_AD_AN5       0x15
        #define MTOUCH_AD_AN6       0x19
        #define MTOUCH_AD_AN7       0x1D
    #endif

    #define MTOUCH_AD_AN8           0x21
    #define MTOUCH_AD_AN9           0x25
    #define MTOUCH_AD_AN10          0x29
    #define MTOUCH_AD_AN11          0x2D
    #define MTOUCH_AD_AN12          0x31
    #define MTOUCH_AD_ISO_AND_GO    0x37 // Selects an unimplemented, isolated ADC mux option and sets the GO/DONE bit.
    #define MTOUCH_AD_ISO_NOGO      0x35 // Selects an unimplemented, isolated ADC mux option w/o setting the GO/DONE bit.
#else
    #define MTOUCH_AD_AN0           0x01
    #define MTOUCH_AD_AN1           0x05
    #define MTOUCH_AD_AN2           0x09
    #define MTOUCH_AD_AN3           0x0D
    #define MTOUCH_AD_AN4           0x11
    #define MTOUCH_AD_AN7           0x1D
    #define	MTOUCH_AD_AN10	        0x29
    #define	MTOUCH_AD_AN11	        0x2D

    #if defined(_18F85J50) || defined(_18F86J50) || defined(_18F87J50) \
     || defined(__18F85J50) || defined(__18F86J50) || defined(__18F87J50) 
        #define	MTOUCH_AD_AN12	    0x31
        #define	MTOUCH_AD_AN13	    0x35
        #define	MTOUCH_AD_AN14	    0x39
        #define	MTOUCH_AD_AN15	    0x3D
    #endif
			
    #define MTOUCH_AD_ISO_AND_GO    0x21 // Selects an unimplemented, isolated ADC mux option and sets the GO/DONE bit.
    #define MTOUCH_AD_ISO_NOGO      0x23 // Selects an unimplemented, isolated ADC mux option w/o setting the GO/DONE bit.
#endif

// #define MTOUCH_SELECT_SENSOR0	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR0)
// #define MTOUCH_SELECT_SENSOR1	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR1)
// #define MTOUCH_SELECT_SENSOR2	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR2)
// #define MTOUCH_SELECT_SENSOR3	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR3)
// #define MTOUCH_SELECT_SENSOR4	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR4)
// #define MTOUCH_SELECT_SENSOR5	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR5)
// #define MTOUCH_SELECT_SENSOR6	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR6)
// #define MTOUCH_SELECT_SENSOR7	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR7)
// #define MTOUCH_SELECT_SENSOR8	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR8)
// #define MTOUCH_SELECT_SENSOR9	       __paste2(MTOUCH_AD_, MTOUCH_SENSOR9)
// #define MTOUCH_SELECT_SENSOR10         __paste2(MTOUCH_AD_, MTOUCH_SENSOR10)
// #define MTOUCH_SELECT_SENSOR11         __paste2(MTOUCH_AD_, MTOUCH_SENSOR11)
// #define MTOUCH_SELECT_SENSOR12         __paste2(MTOUCH_AD_, MTOUCH_SENSOR12)
// #define MTOUCH_SELECT_SENSOR13         __paste2(MTOUCH_AD_, MTOUCH_SENSOR13)
// #define MTOUCH_SELECT_SENSOR14         __paste2(MTOUCH_AD_, MTOUCH_SENSOR14)
// #define MTOUCH_SELECT_SENSOR15         __paste2(MTOUCH_AD_, MTOUCH_SENSOR15)
// #define MTOUCH_SELECT_ISO_AND_GO       __paste2(MTOUCH_AD_, ISO_AND_GO) 
// #define MTOUCH_SELECT_ISO_NOGO         __paste2(MTOUCH_AD_, ISO_NOGO) 
// #define MTOUCH_SELECT_REFERENCE        __paste2(MTOUCH_AD_, CVD_REFERENCE)
// #define MTOUCH_SELECT_SLEEP_SENSOR0    __paste2(MTOUCH_AD_, MTOUCH_SLEEP_SENSOR0)
// #define MTOUCH_SELECT_SLEEP_SENSOR1    __paste2(MTOUCH_AD_, MTOUCH_SLEEP_SENSOR1)
// #define MTOUCH_SELECT_SLEEP_SENSOR2    __paste2(MTOUCH_AD_, MTOUCH_SLEEP_SENSOR2)
// #define MTOUCH_SELECT_SLEEP_SENSOR3    __paste2(MTOUCH_AD_, MTOUCH_SLEEP_SENSOR3)
// #define MTOUCH_SELECT_SLEEP_SENSOR4    __paste2(MTOUCH_AD_, MTOUCH_SLEEP_SENSOR4)
// #define MTOUCH_SELECT_SLEEP_SENSOR5    __paste2(MTOUCH_AD_, MTOUCH_SLEEP_SENSOR5)
// #define MTOUCH_SELECT_SLEEP_SENSOR6    __paste2(MTOUCH_AD_, MTOUCH_SLEEP_SENSOR6)
// #define MTOUCH_SELECT_SLEEP_SENSOR7    __paste2(MTOUCH_AD_, MTOUCH_SLEEP_SENSOR7)

#if defined(_18F24J50)  || defined(_18LF24J50)  || defined(_18F25J50)  || defined(_18LF25J50)  || defined(_18F26J50)  || defined(_18LF26J50)    \
 || defined(_18F44J50)  || defined(_18LF44J50)  || defined(_18F45J50)  || defined(_18LF45J50)  || defined(_18F46J50)  || defined(_18LF46J50)    \
 || defined(__18F24J50) || defined(__18LF24J50) || defined(__18F25J50) || defined(__18LF25J50) || defined(__18F26J50) || defined(__18LF26J50)   \
 || defined(__18F44J50) || defined(__18LF44J50) || defined(__18F45J50) || defined(__18LF45J50) || defined(__18F46J50) || defined(__18LF46J50)
    #define MTOUCH_PIN_AN0		0
    #define MTOUCH_PIN_AN1		1
    #define MTOUCH_PIN_AN2		2
    #define MTOUCH_PIN_AN3		3
    #define MTOUCH_PIN_AN4		5
    #define	MTOUCH_PIN_AN5      0        
    #define	MTOUCH_PIN_AN6      1       
    #define	MTOUCH_PIN_AN7      2 
    #define MTOUCH_PIN_AN8		2	
    #define MTOUCH_PIN_AN9		3
    #define MTOUCH_PIN_AN10	    1
    #define MTOUCH_PIN_AN11	    2
    #define MTOUCH_PIN_AN12	    0
#else
    #define MTOUCH_PIN_AN0		0
    #define MTOUCH_PIN_AN1		1
    #define MTOUCH_PIN_AN2		2
    #define MTOUCH_PIN_AN3		3
    #define MTOUCH_PIN_AN4		5     
    #define	MTOUCH_PIN_AN7      2 
    #define MTOUCH_PIN_AN10	    5
    #define MTOUCH_PIN_AN11	    6
    #define MTOUCH_PIN_AN12	    4
    #define MTOUCH_PIN_AN13	    5
    #define MTOUCH_PIN_AN14	    6
    #define MTOUCH_PIN_AN15	    7
#endif

// #define MTOUCH_PIN_SENSOR0         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR0)
// #define MTOUCH_PIN_SENSOR1         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR1)
// #define MTOUCH_PIN_SENSOR2         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR2)
// #define MTOUCH_PIN_SENSOR3         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR3)
// #define MTOUCH_PIN_SENSOR4         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR4)
// #define MTOUCH_PIN_SENSOR5         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR5)
// #define MTOUCH_PIN_SENSOR6         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR6)
// #define MTOUCH_PIN_SENSOR7         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR7)
// #define MTOUCH_PIN_SENSOR8         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR8)
// #define MTOUCH_PIN_SENSOR9         __paste2(MTOUCH_PIN_,MTOUCH_SENSOR9)
// #define MTOUCH_PIN_SENSOR10        __paste2(MTOUCH_PIN_,MTOUCH_SENSOR10)
// #define MTOUCH_PIN_SENSOR11        __paste2(MTOUCH_PIN_,MTOUCH_SENSOR11)
// #define MTOUCH_PIN_SENSOR12        __paste2(MTOUCH_PIN_,MTOUCH_SENSOR12)
// #define MTOUCH_PIN_SENSOR13        __paste2(MTOUCH_PIN_,MTOUCH_SENSOR13)
// #define MTOUCH_PIN_SENSOR14        __paste2(MTOUCH_PIN_,MTOUCH_SENSOR14)
// #define MTOUCH_PIN_SENSOR15        __paste2(MTOUCH_PIN_,MTOUCH_SENSOR15)
// #define MTOUCH_PIN_REFERENCE       __paste2(MTOUCH_PIN_,CVD_REFERENCE)
// #define MTOUCH_PIN_SLEEP_SENSOR0   __paste2(MTOUCH_PIN_,MTOUCH_SLEEP_SENSOR0)
// #define MTOUCH_PIN_SLEEP_SENSOR1   __paste2(MTOUCH_PIN_,MTOUCH_SLEEP_SENSOR1)
// #define MTOUCH_PIN_SLEEP_SENSOR2   __paste2(MTOUCH_PIN_,MTOUCH_SLEEP_SENSOR2)
// #define MTOUCH_PIN_SLEEP_SENSOR3   __paste2(MTOUCH_PIN_,MTOUCH_SLEEP_SENSOR3)
// #define MTOUCH_PIN_SLEEP_SENSOR4   __paste2(MTOUCH_PIN_,MTOUCH_SLEEP_SENSOR4)
// #define MTOUCH_PIN_SLEEP_SENSOR5   __paste2(MTOUCH_PIN_,MTOUCH_SLEEP_SENSOR5)
// #define MTOUCH_PIN_SLEEP_SENSOR6   __paste2(MTOUCH_PIN_,MTOUCH_SLEEP_SENSOR6)
// #define MTOUCH_PIN_SLEEP_SENSOR7   __paste2(MTOUCH_PIN_,MTOUCH_SLEEP_SENSOR7)

#if defined(_18F24J50)  || defined(_18LF24J50)  || defined(_18F25J50)  || defined(_18LF25J50)  || defined(_18F26J50)  || defined(_18LF26J50)    \
 || defined(_18F44J50)  || defined(_18LF44J50)  || defined(_18F45J50)  || defined(_18LF45J50)  || defined(_18F46J50)  || defined(_18LF46J50)    \
 || defined(__18F24J50) || defined(__18LF24J50) || defined(__18F25J50) || defined(__18LF25J50) || defined(__18F26J50) || defined(__18LF26J50)   \
 || defined(__18F44J50) || defined(__18LF44J50) || defined(__18F45J50) || defined(__18LF45J50) || defined(__18F46J50) || defined(__18LF46J50)
    #define MTOUCH_PORT_AN0 	    LATA	
    #define MTOUCH_PORT_AN1 	    LATA	
    #define MTOUCH_PORT_AN2 	    LATA	
    #define MTOUCH_PORT_AN3 	    LATA
    #define MTOUCH_PORT_AN4 	    LATA
    #define	MTOUCH_PORT_AN5         LATE       
    #define	MTOUCH_PORT_AN6	        LATE       
    #define	MTOUCH_PORT_AN7	        LATE
    #define MTOUCH_PORT_AN8 	    LATB	
    #define MTOUCH_PORT_AN9 	    LATB	
    #define MTOUCH_PORT_AN10 	    LATB	
    #define MTOUCH_PORT_AN11	    LATC	
    #define MTOUCH_PORT_AN12	    LATB
#else
    #define MTOUCH_PORT_AN0 	    LATA	
    #define MTOUCH_PORT_AN1 	    LATA	
    #define MTOUCH_PORT_AN2 	    LATA	
    #define MTOUCH_PORT_AN3 	    LATA
    #define MTOUCH_PORT_AN4 	    LATA      
    #define	MTOUCH_PORT_AN7	        LATF	
    #define MTOUCH_PORT_AN10 	    LATF	
    #define MTOUCH_PORT_AN11	    LATF	
    #define MTOUCH_PORT_AN12	    LATH	
    #define MTOUCH_PORT_AN13	    LATH	
    #define MTOUCH_PORT_AN14	    LATH	
    #define MTOUCH_PORT_AN15	    LATH
#endif	

// #define MTOUCH_PORT_SENSOR0        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR0)
// #define MTOUCH_PORT_SENSOR1        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR1)
// #define MTOUCH_PORT_SENSOR2        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR2)
// #define MTOUCH_PORT_SENSOR3        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR3)
// #define MTOUCH_PORT_SENSOR4        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR4)
// #define MTOUCH_PORT_SENSOR5        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR5)
// #define MTOUCH_PORT_SENSOR6        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR6)
// #define MTOUCH_PORT_SENSOR7        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR7)
// #define MTOUCH_PORT_SENSOR8        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR8)
// #define MTOUCH_PORT_SENSOR9        __paste2(MTOUCH_PORT_,MTOUCH_SENSOR9)
// #define MTOUCH_PORT_SENSOR10       __paste2(MTOUCH_PORT_,MTOUCH_SENSOR10)
// #define MTOUCH_PORT_SENSOR11       __paste2(MTOUCH_PORT_,MTOUCH_SENSOR11)
// #define MTOUCH_PORT_SENSOR12       __paste2(MTOUCH_PORT_,MTOUCH_SENSOR12)
// #define MTOUCH_PORT_REFERENCE      __paste2(MTOUCH_PORT_,CVD_REFERENCE)
// #define MTOUCH_PORT_SLEEP_SENSOR0  __paste2(MTOUCH_PORT_,MTOUCH_SLEEP_SENSOR0)
// #define MTOUCH_PORT_SLEEP_SENSOR1  __paste2(MTOUCH_PORT_,MTOUCH_SLEEP_SENSOR1)
// #define MTOUCH_PORT_SLEEP_SENSOR2  __paste2(MTOUCH_PORT_,MTOUCH_SLEEP_SENSOR2)
// #define MTOUCH_PORT_SLEEP_SENSOR3  __paste2(MTOUCH_PORT_,MTOUCH_SLEEP_SENSOR3)
// #define MTOUCH_PORT_SLEEP_SENSOR4  __paste2(MTOUCH_PORT_,MTOUCH_SLEEP_SENSOR4)
// #define MTOUCH_PORT_SLEEP_SENSOR5  __paste2(MTOUCH_PORT_,MTOUCH_SLEEP_SENSOR5)
// #define MTOUCH_PORT_SLEEP_SENSOR6  __paste2(MTOUCH_PORT_,MTOUCH_SLEEP_SENSOR6)
// #define MTOUCH_PORT_SLEEP_SENSOR7  __paste2(MTOUCH_PORT_,MTOUCH_SLEEP_SENSOR7)

#if defined(_18F24J50)  || defined(_18LF24J50)  || defined(_18F25J50)  || defined(_18LF25J50)  || defined(_18F26J50)  || defined(_18LF26J50)    \
 || defined(_18F44J50)  || defined(_18LF44J50)  || defined(_18F45J50)  || defined(_18LF45J50)  || defined(_18F46J50)  || defined(_18LF46J50)    \
 || defined(__18F24J50) || defined(__18LF24J50) || defined(__18F25J50) || defined(__18LF25J50) || defined(__18F26J50) || defined(__18LF26J50)   \
 || defined(__18F44J50) || defined(__18LF44J50) || defined(__18F45J50) || defined(__18LF45J50) || defined(__18F46J50) || defined(__18LF46J50)
    #define MTOUCH_LETTER_AN0          A
    #define MTOUCH_LETTER_AN1          A
    #define MTOUCH_LETTER_AN2          A
    #define MTOUCH_LETTER_AN3          A
    #define MTOUCH_LETTER_AN4          A
    #define MTOUCH_LETTER_AN5          E
    #define MTOUCH_LETTER_AN6          E
    #define MTOUCH_LETTER_AN7          E
    #define MTOUCH_LETTER_AN8          B
    #define MTOUCH_LETTER_AN9          B
    #define MTOUCH_LETTER_AN10         B
    #define MTOUCH_LETTER_AN11         C
    #define MTOUCH_LETTER_AN12         B
#else
    #define MTOUCH_LETTER_AN0          A
    #define MTOUCH_LETTER_AN1          A
    #define MTOUCH_LETTER_AN2          A
    #define MTOUCH_LETTER_AN3          A
    #define MTOUCH_LETTER_AN4          A
    #define MTOUCH_LETTER_AN7          F
    #define MTOUCH_LETTER_AN10         F
    #define MTOUCH_LETTER_AN11         F
    #define MTOUCH_LETTER_AN12         H
    #define MTOUCH_LETTER_AN13         H
    #define MTOUCH_LETTER_AN14         H
    #define MTOUCH_LETTER_AN15         H
#endif

// #define MTOUCH_PORT_LETTER_SENSOR0      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR0)
// #define MTOUCH_PORT_LETTER_SENSOR1      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR1)
// #define MTOUCH_PORT_LETTER_SENSOR2      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR2)
// #define MTOUCH_PORT_LETTER_SENSOR3      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR3)
// #define MTOUCH_PORT_LETTER_SENSOR4      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR4)
// #define MTOUCH_PORT_LETTER_SENSOR5      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR5)
// #define MTOUCH_PORT_LETTER_SENSOR6      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR6)
// #define MTOUCH_PORT_LETTER_SENSOR7      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR7)
// #define MTOUCH_PORT_LETTER_SENSOR8      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR8)
// #define MTOUCH_PORT_LETTER_SENSOR9      __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR9)
// #define MTOUCH_PORT_LETTER_SENSOR10     __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR10)
// #define MTOUCH_PORT_LETTER_SENSOR11     __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR11)
// #define MTOUCH_PORT_LETTER_SENSOR12     __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR12)
// #define MTOUCH_PORT_LETTER_SENSOR13     __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR13)
// #define MTOUCH_PORT_LETTER_SENSOR14     __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR14)
// #define MTOUCH_PORT_LETTER_SENSOR15     __paste3(MTOUCH_PORT_LETTER_,MTOUCH_SENSOR15)

// #define MTOUCH_LAT_C_SENSOR0            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR0)
// #define MTOUCH_LAT_C_SENSOR1            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR1)
// #define MTOUCH_LAT_C_SENSOR2            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR2)
// #define MTOUCH_LAT_C_SENSOR3            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR3)
// #define MTOUCH_LAT_C_SENSOR4            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR4)
// #define MTOUCH_LAT_C_SENSOR5            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR5)
// #define MTOUCH_LAT_C_SENSOR6            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR6)
// #define MTOUCH_LAT_C_SENSOR7            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR7)
// #define MTOUCH_LAT_C_SENSOR8            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR8)
// #define MTOUCH_LAT_C_SENSOR9            __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR9)
// #define MTOUCH_LAT_C_SENSOR10           __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR10)
// #define MTOUCH_LAT_C_SENSOR11           __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR11)
// #define MTOUCH_LAT_C_SENSOR12           __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR12)
// #define MTOUCH_LAT_C_SENSOR13           __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR13)
// #define MTOUCH_LAT_C_SENSOR14           __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR14)
// #define MTOUCH_LAT_C_SENSOR15           __paste2(LAT,MTOUCH_PORT_LETTER_SENSOR15)
// #define MTOUCH_LAT_C_SENSOR(index)      __paste(MTOUCH_LAT_C_SENSOR, index)

// #define MTOUCH_TRIS_C_SENSOR0           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR0)
// #define MTOUCH_TRIS_C_SENSOR1           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR1)
// #define MTOUCH_TRIS_C_SENSOR2           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR2)
// #define MTOUCH_TRIS_C_SENSOR3           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR3)
// #define MTOUCH_TRIS_C_SENSOR4           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR4)
// #define MTOUCH_TRIS_C_SENSOR5           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR5)
// #define MTOUCH_TRIS_C_SENSOR6           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR6)
// #define MTOUCH_TRIS_C_SENSOR7           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR7)
// #define MTOUCH_TRIS_C_SENSOR8           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR8)
// #define MTOUCH_TRIS_C_SENSOR9           __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR9)
// #define MTOUCH_TRIS_C_SENSOR10          __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR10)
// #define MTOUCH_TRIS_C_SENSOR11          __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR11)
// #define MTOUCH_TRIS_C_SENSOR12          __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR12)
// #define MTOUCH_TRIS_C_SENSOR13          __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR13)
// #define MTOUCH_TRIS_C_SENSOR14          __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR14)
// #define MTOUCH_TRIS_C_SENSOR15          __paste2(TRIS,MTOUCH_PORT_LETTER_SENSOR15)
// #define MTOUCH_TRIS_C_SENSOR(index)     __paste(MTOUCH_TRIS_C_SENSOR, index)

#define MTOUCH_LAT_A                _LATA
#define MTOUCH_LAT_B                _LATB

#endif
/// @endcond
