/*************************************************************************
 *   2011 Microchip Technology Inc.                                       
 *  
 *  Project Name:    mTouch Framework v2.0
 *  FileName:        mTouch_config_sleep.h
 *  Dependencies:    
 *  Processor:       See documentation for supported PIC microcontrollers 
 *  Compiler:        HI-TECH Ver. 9.81 or later
 *  IDE:             MPLAB IDE v8.50 (or later) or MPLAB X                        
 *  Hardware:         
 *  Company:         
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *  Description:     mTouch Framework Configuration File
 *                   - See documentation for better explanations of all
 *                     configuration options.
 *************************************************************************/
/***********************************************************************
 * MICROCHIP SOFTWARE NOTICE AND DISCLAIMER: You may use this software, and 
 * any derivatives created by any person or entity by or on your behalf, 
 * exclusively with Microchip's products in accordance with applicable
 * software license terms and conditions, a copy of which is provided for
 * your referencein accompanying documentation. Microchip and its licensors 
 * retain all ownership and intellectual property rights in the 
 * accompanying software and in all derivatives hereto. 
 * 
 * This software and any accompanying information is for suggestion only. 
 * It does not modify Microchip's standard warranty for its products. You 
 * agree that you are solely responsible for testing the software and 
 * determining its suitability. Microchip has no obligation to modify, 
 * test, certify, or support the software. 
 * 
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
 * EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED 
 * WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A 
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE, ITS INTERACTION WITH 
 * MICROCHIP'S PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY 
 * APPLICATION. 
 * 
 * IN NO EVENT, WILL MICROCHIP BE LIABLE, WHETHER IN CONTRACT, WARRANTY, 
 * TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), STRICT 
 * LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT, 
 * SPECIAL, PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, 
 * FOR COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, 
 * HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY 
 * OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT ALLOWABLE BY LAW, 
 * MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS 
 * SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID 
 * DIRECTLY TO MICROCHIP FOR THIS SOFTWARE. 
 * 
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF 
 * THESE TERMS. 
 *************************************************************************/
/** @file   mTouch_config_sleep.h
*   @brief  Framework Configuration! Sleep Mode Configuration Options
*/
//****************************************************************************************************
//  ____  _                   __  __           _        ____       _               
// / ___|| | ___  ___ _ __   |  \/  | ___   __| | ___  / ___|  ___| |_ _   _ _ __  
// \___ \| |/ _ \/ _ \ '_ \  | |\/| |/ _ \ / _` |/ _ \ \___ \ / _ \ __| | | | '_ \ 
//  ___) | |  __/  __/ |_) | | |  | | (_) | (_| |  __/  ___) |  __/ |_| |_| | |_) |
// |____/|_|\___|\___| .__/  |_|  |_|\___/ \__,_|\___| |____/ \___|\__|\__,_| .__/ 
//                   |_|                                                    |_|     
//****************************************************************************************************
    #define MTOUCH_NUMBER_OF_SLEEP_SENSORS  0       // <-- Number of mTouch sensors to scan with CVD 
                                                    //     in 'sleep' mode

    // Analog Pin Configuration
    #define MTOUCH_SLEEP_SENSOR0            AN0     
    #define MTOUCH_SLEEP_SENSOR1            AN1     /// @cond
    #define MTOUCH_SLEEP_SENSOR2            AN2      
    #define MTOUCH_SLEEP_SENSOR3            AN3      
    /// @endcond

    #define MTOUCH_SLEEP_PTHRESH_SENSOR0    20      // <-- Sleep-mode equivalent to PRESS_THRESHOLD_SENSOR0
    #define MTOUCH_SLEEP_PTHRESH_SENSOR1    20      /// @cond
    #define MTOUCH_SLEEP_PTHRESH_SENSOR2    20      
    #define MTOUCH_SLEEP_PTHRESH_SENSOR3    20       
    /// @endcond

    #define MTOUCH_SLEEP_RTHRESH_FACTOR     0.5     // <-- Multiplied by each sensor's press threshold to 
                                                    //     determine the release threshold
                                                    
    
    #define MTOUCH_SLEEP_SAMPLES_PER_SCAN   30      // <-- Number of times to oversample each sensor
    

    #define MTOUCH_SLEEP_AVG_RATE           4       // <-- Counter value determining how often to update the
                                                    //     sensor's average
                                                    
    #define MTOUCH_SLEEP_AVG_UPDATE         2       // <-- Weight value determining how much influence a new
                                                    //     reading will have on the calculated average
                                                    
    #define MTOUCH_SLEEP_DECIMATION_STEP    0       // <-- Maximum change allowed during one CVD sample
                                                    //     (0 = feature turned off)
                                                    
                                                    
    
    #define MTOUCH_SLEEP_INIT_SCANS         5       // <-- Number of service calls used to initialize the 
                                                    //     sensors in sleep mode (Must be > 2)
                                                    
    #define MTOUCH_SLEEP_REINIT_SCANS       2       // <-- Number of service calls used to reinitialize a
                                                    //     sensor after returning from active scanning mode

    #define MTOUCH_SLEEP_INACTIVE_RESET     100     // <-- Number of consecutive service calls where all 
                                                    //     sensors are released before returning to sleep 
                                                    //     scanning mode
                                                    
    #define MTOUCH_SLEEP_MAX_PRESSTIME      20      // <-- Number of consecutive service calls where a 
                                                    //     sensor can be considered pressed before being 
                                                    //     reset to released
                                                    

    //#define MTOUCH_SLEEP_SCAN_INTERRUPTABLE       // <-- If defined, the system will implement checks to
                                                    //     ensure no interrupts have occured during a scan.
                                                    //     If an interrupt does occur, the scan is repeated.
                                                    
                                                    