/**
 * @file OnePIC_8bit_demo_irda.h
 * @ingroup irda
 */

#ifndef _ONEPIC_8BIT_DEMO_IRDA_H_
#define _ONEPIC_8BIT_DEMO_IRDA_H_


//Baud rate
#define	IRDA_BRATE		9600 /**< @param IRDA_BRATE baud rate for IR transfer     */
#define NUM_DATA_BITS           8 /**< @param NUM_DATA_BITS num of data bits      */

 /**
  * @brief mS delay period inbetween bits
  * @param BIT_DLY
  * @details uses the built in macro from HI-TECH to delay between bits.
  *  = 1/IRDA_BRATE = 1/9600 = 104us
  * Be sure that this is micro seconds!!
  *
  */
#define BIT_UDLY   104

//Transmit and Receive port bits
#define	IRDA_TX		PTP3_PORT  /**< @param IRDA_TX tx pin    */
#define	IRDA_RX		PTP1_PORT  /**< @param  IRDA_RX rx pin  */

//MCP2122 16x clock
#define IRDA_16X_CLK         PTP2_PORT /**< @param IRDA_16X_CLK the PWM pin for the MCP2122     */
#define IRDA_16X_CLK_TRIS    PTP2_TRIS /**< @param IRDA_16X_CLKC_TRIS tris pin for PWM     */

//Prototypes
void irda_putch(char c);
char irda_getch(void);
char irda_getche(void);

#endif