/**
 *
 * @file OnePIC_8bit_demo_mcp2200.h
 * @ingroup mcp2200
 */


#ifndef _ONEPIC_8BIT_DEMO_MCP2200_H_
#define _ONEPIC_8BIT_DEMO_MCP2200_H_


#define MCP2200_BAUD 9600 /**< @param MCP2200_BAUD UART hardware speed. Both sides must agree on this to work properly */

#define DIVIDER ((int)(_XTAL_FREQ/(16UL * MCP2200_BAUD) -1)) /**< @param DIVIDER calculates value for SPRG */

#define HIGH_SPEED 1   /**< @param HIGH_SPEED whether or not to include UART hi-speed */

#define MCP2200_RX      UART_RX /**<    @param MCP2200_RX the RX pin      */

#define MCP2200_TX      UART_TX /**< @param MCP2200_TX the RX pin*/

#define MCP2200_RX_TRIS UART_TRIS_RX /**< @param MCP2200_RX_TRIS the RX pin*/

#define MCP2200_TX_TRIS UART_TRIS_TX /**< @param MCP2200_TX_TRIS the RX pin*/



#if HIGH_SPEED == 1
/**
 *
 * @param SPEED i don't knows
 */
#define SPEED 0x4
#else
#define SPEED 0
#endif



//prototypes
void putch(uint8_t);
void mcp2200_init(void);
void mcp2200_prompt(void);
uint8_t mcp2200_getch(void);
uint8_t mcp2200_getche(void);

#endif
