/**
 * @file OnePIC_8bit_demo_mtouch.c
 * @brief very similiar to base code's mtouch
 * @defgroup mtouch_8bit_demo mTouch
 * @ingroup eight_bit_demo
 * @{
 */
#include "mTouchCVD.h"
#include "bsp.h"
#include "OnePIC_led.h"
#include "OnePIC_8bit_demo_main.h"
#include "OnePIC_8bit_demo_mtouch.h"

/**
 * 
 * @struct IR_DEMO_RX
 * @struct IR_DEMO_FLAG
 * 
 */

extern IR_DEMO_RX rx_byte;
extern IR_DEMO_FLAG rx_tx_flag;

/**
 * @brief Poll the touch buttons and if one is pressed, assign rx_byte.mcp2200_rx the value
 */
void Demo_mTouchPoll(void) {
    if (mTouch_isDataReady()) { // Is new information ready?
        mTouch_Service();
        if (EDF_CapTouchGetButtonState(CAP_UP) == EDF_MTOUCH_PRESSED) {
            EDF_LEDSet(LED_UP);
            EDF_LEDClr(LED_RIGHT);
            EDF_LEDClr(LED_DOWN);
            EDF_LEDClr(LED_LEFT);
            rx_tx_flag.MCP2200_RX_FLAG = true;
            rx_byte.mcp2200_rx = 'U';
        } else if (EDF_CapTouchGetButtonState(CAP_DOWN) == EDF_MTOUCH_PRESSED) {
            EDF_LEDSet(LED_DOWN);
            EDF_LEDClr(LED_UP);
            EDF_LEDClr(LED_RIGHT);
            EDF_LEDClr(LED_LEFT);
            rx_tx_flag.MCP2200_RX_FLAG = true;
            rx_byte.mcp2200_rx = 'D';
        } else if (EDF_CapTouchGetButtonState(CAP_LEFT) == EDF_MTOUCH_PRESSED) {
            EDF_LEDSet(LED_LEFT);
            EDF_LEDClr(LED_UP);
            EDF_LEDClr(LED_RIGHT);
            EDF_LEDClr(LED_DOWN);
            rx_tx_flag.MCP2200_RX_FLAG = true;
            rx_byte.mcp2200_rx = 'L';
        } else if (EDF_CapTouchGetButtonState(CAP_RIGHT) == EDF_MTOUCH_PRESSED) {
            EDF_LEDSet(LED_RIGHT);
            EDF_LEDClr(LED_UP);
            EDF_LEDClr(LED_DOWN);
            EDF_LEDClr(LED_LEFT);
            rx_tx_flag.MCP2200_RX_FLAG = true;
            rx_byte.mcp2200_rx = 'R';
        } else if (EDF_CapTouchGetButtonState(CAP_ENTER) == EDF_MTOUCH_PRESSED) {
            EDF_LEDSet(LED_UP);
            EDF_LEDSet(LED_RIGHT);
            EDF_LEDSet(LED_LEFT);
            EDF_LEDSet(LED_DOWN);
            rx_tx_flag.MCP2200_RX_FLAG = true;
            rx_byte.mcp2200_rx = 'E';
        } else {
            EDF_LEDClr(LED_UP);
            EDF_LEDClr(LED_RIGHT);
            EDF_LEDClr(LED_DOWN);
            EDF_LEDClr(LED_LEFT);
        }
    }
}
/*8 @}*/