/**
 * @file OnePIC_8bit_demo_mtouch.h
 * @ingroup eight_bit_demo
 * @{
 *
 */

#ifndef _ONEPIC_8BIT_DEMO_MTOUCH_H
#define _ONEPIC_8BIT_DEMO_MTOUCH_H
#include <stdint.h>

/**
 * @enum CAP_BUTTON_tag
 * @brief Consists of the 5 touch buttons
 * @var CAP_BUTTON::CAP_UP
 * up button
 * @var CAP_BUTTON::CAP_DOWN
 * down button
 * @var CAP_BUTTON::CAP_LEFT
 * left button
 * @var CAP_BUTTON::CAP_RIGHT
 * right button
 * @var CAP_BUTTON::CAP_ENTER
 * enter button
 * 
 * 
 * @note individual sensitivity settings set in mTouch_config.h
 *
 */
typedef enum CAP_BUTTON_tag {
    CAP_UP,
    CAP_DOWN,
    CAP_LEFT,
    CAP_RIGHT,
    CAP_ENTER
} CAP_BUTTON;


void Demo_mTouchPoll(void);
#endif //_EDF_MTOUCH_H
/** @}*/