/**
 * @file OnePIC_mtouch.h
 * @ingroup base
 * @{
 */

#ifndef _EDF_MTOUCH_H
#define _EDF_MTOUCH_H
#include <stdint.h>

/**
 * @enum CAP_BUTTON_tag OnePIC_mtouch.h OnePIC_mtouch
 * @brief Consists of the 5 touch buttons
 * @var CAP_BUTTON_tag::CAP_UP
 * up button
 * @var CAP_BUTTON_tag::CAP_DOWN
 * down button
 * @var CAP_BUTTON_tag::CAP_LEFT
 * left button
 * @var CAP_BUTTON_tag::CAP_RIGHT
 * right button
 * @var CAP_BUTTON_tag::CAP_ENTER
 * enter button
 *
 *
 * @note individual sensitivity settings set in mTouch_config.h
 *
 */
typedef enum CAP_BUTTON_tag
{
    CAP_UP,
    CAP_DOWN,
    CAP_LEFT,
    CAP_RIGHT,
    CAP_ENTER
} CAP_BUTTON;

/**
 * @enum BANNER_STATE_tag
 * @brief Consists of the LCD tasks to display
 * @var BANNER_STATE::BANNER_CAP
 * touch button just pressed
 * @var BANNER_STATE::BANNER_POT
 * display the pot reading
 *
 */
typedef enum BANNER_STATE_tag
{
    BANNER_CAP,
    BANNER_POT
}BANNER_STATE;

extern BANNER_STATE _bannerState;
extern uint8_t *p_capString;

void EDF_mTouchInit(void);
void EDF_mTouchPoll(void);
#endif //_EDF_MTOUCH_H
/** @}*/

