/**
 * @file OnePIC_switch.h
 * @ingroup base
 * @{
 */

// XXX Jerry Note: This ifndef/define/endif chain is needed to prevent multiple inclusion.
#ifndef _EDF_SWITCH_H
#define _EDF_SWITCH_H
#include "bsp.h"

/**
 * @enum swState_tag
 * @brief Contains the switch (SW1) state
 * @var swState_tag::SW_PRESSED
 * switch was pressed
 * @var swState_tag::SW_RELEASED
 * switch was released
 */
typedef enum swState_tag {
    SW_PRESSED,
    SW_RELEASED
} swState;

extern uint8_t _pbState;
extern swState _swState; /**@<brief button state*/
void switchTasks(void);
uint8_t switchPressed(void);
#endif // __SWITCH_H
/** @}*/

